Bug 3659 - (int-145905) Changing icon theme requires reboot to be applied correctly
(int-145905)
: Changing icon theme requires reboot to be applied correctly
Status: REOPENED
Product: Desktop platform
Themes
: 5.0:(10.2010.19-1)
: All Linux
: Low normal with 5 votes (vote)
: ---
Assigned To: unassigned
: themes-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2008-09-02 00:25 UTC by Leif Ryge
Modified: 2010-08-11 12:04 UTC (History)
8 users (show)

See Also:


Attachments
screenshot of lcars-modern theme applied correctly after reboot (67.56 KB, image/png)
2008-09-02 14:45 UTC, Andre Klapper
Details
screenshot of echo theme applied after lcars-modern without reboot (66.71 KB, image/png)
2008-09-02 14:46 UTC, Andre Klapper
Details
PR1.2 screenshot of Melody theme applied after Okuda without reboot (350.32 KB, image/png)
2010-07-09 13:02 UTC, Ian Ryge
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Leif Ryge (reporter) 2008-09-02 00:25:56 UTC
SOFTWARE VERSION:
Diablo (and earlier versions)

STEPS TO REPRODUCE THE PROBLEM:
1. Install a GTK theme which sets the gtk-icon-theme-name property
2. Home > Set theme... > Select the new theme > Apply

EXPECTED OUTCOME:
Selecting the new GTK theme should cause the icon theme to immediately update.

ACTUAL OUTCOME:
Many of the previously selected theme's icons remain in use (in hildon's task
navigator and statusbar panels, and elsewhere) until the system is restarted.
After restarting, the newly selected icon theme is correctly applied.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
http://synthesize.us/LCARS_PADD (hildon/gtk themes that include icon themes)

OTHER COMMENTS:
Some icons are updated immediately, while others are not. Here is a (very
incomplete) list of themed icons which DO update immediately:
 - Task Navigator "Contacts" button
 - hildon-home RSS feed reader applet's buttons
 - The web browser's toolbar buttons

And here are some of the ones that do not:
 - Task Navigator buttons "Web" and "Applications"
 - All statusbar plugins enabled before theme switch
 - Keyboard key icons (tab, shift, delete, return, etc)

Instead of restarting the entire system, it is also possible to reload these
icons with "killall -1 hildon-desktop hildon-input-method".
Comment 1 Andre Klapper maemo.org 2008-09-02 14:27:35 UTC
I've installed http://synthesize.us/debs/lcars-complete-4.1.install and I can
confirm this.
Comment 2 Andre Klapper maemo.org 2008-09-02 14:44:02 UTC
Side note: Running "killall -1 hildon-desktop hildon-input-method" does NOT fix
the Charging icon.
Comment 3 Andre Klapper maemo.org 2008-09-02 14:45:19 UTC
Created an attachment (id=918) [details]
screenshot of lcars-modern theme applied correctly after reboot
Comment 4 Andre Klapper maemo.org 2008-09-02 14:46:05 UTC
Created an attachment (id=919) [details]
screenshot of echo theme applied after lcars-modern without reboot
Comment 5 Leif Ryge (reporter) 2008-09-02 23:31:01 UTC
(In reply to comment #2)
> Side note: Running "killall -1 hildon-desktop hildon-input-method" does NOT fix
> the Charging icon.

Sorry I forgot to mention that detail. I've just filed bug #3669 about the
charging animation being unthemeable.
Comment 6 Andre Klapper maemo.org 2009-07-02 13:48:42 UTC
Are there any 3rd party themes for Fremantle available already?
Comment 7 Urho Konttori 2009-07-22 22:54:54 UTC
I guess I could soon upload. The problem is that themes still contain
references to things that cannot be yet published.
Comment 8 Andre Klapper maemo.org 2009-09-30 16:20:49 UTC
I'd really like to know if anybody can still reproduce this in Fremantle.

Setting to "moreinfo", either please add a comment once Fremantle is available
and if you can still reproduce this, or please provide a testcase for me. :-)
Thanks in advance!
Comment 9 Urho Konttori 2009-11-07 15:47:39 UTC
still reproducible. We definitely need to fix this.
Comment 10 Andre Klapper maemo.org 2009-11-09 18:46:36 UTC
Thanks. Imported into internal bugtracker.
Comment 11 Urho Konttori 2010-01-05 22:03:56 UTC
We are working on fixing this for pr1.2
Comment 12 Urho Konttori 2010-01-29 12:06:11 UTC
Fixed and integrated to pr1.2
Comment 13 Andre Klapper maemo.org 2010-02-01 13:58:26 UTC
This has been fixed in package
hildon-desktop 1:2.2.129-1+0m5
which is part of the internal build version
2010.04-11
(Note: 2009/2010 is the year, and the number after is the week.)

Tested with internal version with nuvofre from extras-devel. Icon theme was
applied immediately as supposed.

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 14 ossipena 2010-03-08 07:44:45 UTC
Does this include colours updating automatically without reboot too?

See comments from
http://maemo.org/packages/package_instance/view/fremantle_extras-testing_free_armel/iivilsteel-light/2.0.0.4/
Comment 15 Andre Klapper maemo.org 2010-03-15 20:53:15 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).
Comment 16 Urho Konttori 2010-04-04 21:45:07 UTC
Nope, some colors are still not updated.
Comment 17 Ian Ryge 2010-07-09 13:02:05 UTC
Created an attachment (id=2966) [details]
PR1.2 screenshot of Melody theme applied after Okuda without reboot

Icons, text colors, and buttons which fail to change after switching themes
(until the device is rebooted) are circled in red. These are just a few
examples; there are many others.
Comment 18 Leif Ryge (reporter) 2010-07-09 21:50:16 UTC
Reopening